import 'dart:async';

import 'package:flutter/services.dart';
import 'dart:convert';

class Mobiprint3 {
  static const MethodChannel _channel = const MethodChannel('mobiprint3');

  // static Future<Map<String,dynamic>> get platformVersion async {
  //   final Map<String,dynamic> version = await _channel.invokeMethod('getPlatformVersion');
  //   return version;
  // }

  static Future<Map<String,dynamic>> print( String text) async {
    try {
      final String result = await _channel.invokeMethod('print',{"data":text});
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }


  static Future<Map<String,dynamic>> image( String text) async {
    try {
      final String result = await _channel.invokeMethod('image',{"data":text}); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

  static Future<Map<String,dynamic>> custom( String text, int size) async {
    try {
      final String result = await _channel.invokeMethod('custom',{"data": text, 'size' : size}); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

  static Future<Map<String,dynamic>> test( ) async {
    try {
      final String result = await _channel.invokeMethod('test'); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

  static Future<Map<String,dynamic>> space( ) async {
    try {
      final String result = await _channel.invokeMethod('space'); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

  static Future<Map<String,dynamic>> paper( ) async {
    try {
      final String result = await _channel.invokeMethod('paper'); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

  static Future<Map<String,dynamic>> end( ) async {
    try {
      final String result = await _channel.invokeMethod('end'); 
      return { "success" : (result=="1"), "message" : result };
    } on PlatformException catch (e) {
      return { "success" : false, "messge" : e.message };
    }
  }

}